org.apache.synapse.commons.staxon.core.json.jaxb

## Class JsonXMLMapper<T>

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.json.jaxb.JsonXMLMapper<T>

-     public class JsonXMLMapper<T>
      extends Object

  Read/write instances of JAXB-annotated classes from/to JSON.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JsonXMLMapper(Class<T> type)`
    `JsonXMLMapper(Class<T> type, JsonXML config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JsonXMLBinder` | `createBinder(JsonXML config)`
    `protected JAXBContext` | `createContext(JsonXML config)`
    `List<T>` | `readArray(InputStream input)`
    `List<T>` | `readArray(Reader reader)`
    `T` | `readObject(InputStream input)`
    `T` | `readObject(Reader reader)`
    `void` | `writeArray(OutputStream output, Collection<T> collection)`
    `void` | `writeArray(Writer writer, Collection<T> collection)`
    `void` | `writeObject(OutputStream output, T value)`
    `void` | `writeObject(Writer writer, T value)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### JsonXMLMapper

          public JsonXMLMapper(Class<T> type)
                        throws JAXBException

      Throws:
        `JAXBException`

    - #### JsonXMLMapper

          public JsonXMLMapper(Class<T> type,
                               JsonXML config)
                        throws JAXBException

      Throws:
        `JAXBException`

  - ### Method Detail

    - #### createBinder

          protected JsonXMLBinder createBinder(JsonXML config)

    - #### createContext

          protected JAXBContext createContext(JsonXML config)
                                       throws JAXBException

      Throws:
        `JAXBException`

    - #### readObject

          public T readObject(Reader reader)
                       throws JAXBException,
                              XMLStreamException

      Throws:
        `JAXBException`
        `XMLStreamException`

    - #### readObject

          public T readObject(InputStream input)
                       throws JAXBException,
                              XMLStreamException

      Throws:
        `JAXBException`
        `XMLStreamException`

    - #### writeObject

          public void writeObject(Writer writer,
                                  T value)
                           throws JAXBException,
                                  XMLStreamException

      Throws:
        `JAXBException`
        `XMLStreamException`

    - #### writeObject

          public void writeObject(OutputStream output,
                                  T value)
                           throws JAXBException,
                                  XMLStreamException

      Throws:
        `JAXBException`
        `XMLStreamException`

    - #### readArray

          public List<T> readArray(Reader reader)
                            throws JAXBException,
                                   XMLStreamException

      Throws:
        `JAXBException`
        `XMLStreamException`

    - #### readArray

          public List<T> readArray(InputStream input)
                            throws JAXBException,
                                   XMLStreamException

      Throws:
        `JAXBException`
        `XMLStreamException`

    - #### writeArray

          public void writeArray(Writer writer,
                                 Collection<T> collection)
                          throws JAXBException,
                                 XMLStreamException

      Throws:
        `JAXBException`
        `XMLStreamException`

    - #### writeArray

          public void writeArray(OutputStream output,
                                 Collection<T> collection)
                          throws JAXBException,
                                 XMLStreamException

      Throws:
        `JAXBException`
        `XMLStreamException`

Copyright © 2005–2018 Apache Software Foundation. All rights reserved.